LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XErrorListener Interface Referencepublished

used to be notified when errors in a database form happen. More...

`import "XErrorListener.idl";`

Inheritance diagram for XErrorListener:

## Public Member Functions
void | errorOccured ([in] com::sun::star::form::ErrorEvent aEvent)
| is invoked when a database action performed by a database form raises an exception.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

used to be notified when errors in a database form happen.

Each time an exception is triggered by a database form, the error event is posted to the error listeners. This event may be used to configure the error handling of a database form.

Please do not use anymore, this interface is superseded by com::sun::star::sdb::XSQLErrorListener.

Deprecated

## Member Function Documentation

## ◆ errorOccured()

void errorOccured | ( | [in] com::sun::star::form::ErrorEvent | aEvent | ) |

is invoked when a database action performed by a database form raises an exception.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XErrorListener.idl